FORMAX DEVELOPER API
  1. PPI Fund Transfer API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
    • Fetch Balance
    • Wallet Debit
    • Payout
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. PPI Fund Transfer API

Add Beneficiary

POST
https://api.formaxpay.com/api/ppi_dmt/beneficiary/add
This API allows a sender to add a new beneficiary to their wallet. The beneficiary can be verified immediately if verify_account is set to true. Bank verification or penny-drop charges will be debited from the partner wallet upon verification.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.formaxpay.com/api/ppi_dmt/beneficiary/add' \
--header 'Authorization: Basic M2U4czlqZ0F4VTNadmczeGZTa3NxbWVjTjVyTHdxYlg6NUFrcEB3Ti1UbH5tRUo5' \
--header 'x-wallet-token: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJJZGVudGlmaWNhdGlvbkNvZGUiOiJtbXZ0bmRZalFGMVlLMzNvbHRwM3NBPT0iLCJCQ0FnZW50SWQiOiJmU2hvN0grMGcrYz0iLCJleHAiOjE3NjY0Nzg0MjYsImlzcyI6IlBheVBvaW50IiwiYXVkIjoiUGFydG5lcnMifQ.4yDiui6jcXBw3NjhSNn9mkiDuxOjbEOeEbjHtiG4chA' \
--header 'Content-Type: application/json' \
--data-raw '{
    "mobile_number": "9836993732",
    "beneficiary": {
        "mobile_number": "9836114520",
        "name": "EZAZUL HAQUE",
        "account_number": "5447766793",
        "ifsc_code": "KKBK0006575",
        "bank_id": "",
        "bank_name": "KOTAK BANK",
        "verify_account": true
    }
}'
Response Response Example
{
    "status": "SUCCESS",
    "message": "Beneficiary Added Successfully",
    "data": {
        "beneficiary_id": 3585778,
        "beneficiary_name": "EZAZUL HAQUE",
        "is_account_verified": 1,
        "order_id": "R29443359375000PXEJF",
        "timestamp": "2024-01-24 18:35:23"
    }
}
Modified at 2025-12-24 14:34:16
Previous
Beneficiary List
Next
Delete Beneficiary
Built with